<?php
//-------------------------------------------------------------------------
// OVIDENTIA http://www.ovidentia.org
// Ovidentia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
// USA.
//-------------------------------------------------------------------------
/**
 * @license http://opensource.org/licenses/gpl-license.php GNU General Public License (GPL)
 * @copyright Copyright (c) 2006 by CANTICO ({@link http://www.cantico.fr})
 */

require_once 'base.php';

function otcter_new_upgrade($version_base,$version_ini) {
	global $babBody;
	
	bab_addEventListener('bab_eventPageRefreshed', 'otcter_new_onPageRefreshed', 'addons/otcter_new/init.php', 'otcter_new');
	
	$path = dirname(__FILE__);
	$search = mb_strcut($GLOBALS['babInstallPath'], 0, mb_strlen($GLOBALS['babInstallPath'])- 1).DIRECTORY_SEPARATOR.'addons'.DIRECTORY_SEPARATOR.'otcter_new';
	$replace = DIRECTORY_SEPARATOR;
	$path = str_ireplace($search, $replace, $path);
	$path = mb_strcut($path, 0, mb_strlen($path)- 1);
	
	// Suppression ventuelle de l'ancienne page des flux RSS
	if (file_exists($path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'fluxrss.rss'))
	{
		unlink($path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'fluxrss.rss');
	}
	
	// Copie ventuelle de la nouvelle page des flux RSS
	if (!file_exists($path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'flux.rss'))
	{
		copy($path.mb_strcut($GLOBALS['babInstallPath'], 0, mb_strlen($GLOBALS['babInstallPath'])- 1).DIRECTORY_SEPARATOR.'skins'.DIRECTORY_SEPARATOR.'ovidentia'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'addons'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'flux.rss', $path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'flux.rss');
	}
	
	// Copie des nouveaux modles des pages d'accueil publique et prive
	copy($path.mb_strcut($GLOBALS['babInstallPath'], 0, mb_strlen($GLOBALS['babInstallPath'])- 1).DIRECTORY_SEPARATOR.'skins'.DIRECTORY_SEPARATOR.'ovidentia'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'addons'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'public.html.ori', $path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'public.html.ori');
	copy($path.mb_strcut($GLOBALS['babInstallPath'], 0, mb_strlen($GLOBALS['babInstallPath'])- 1).DIRECTORY_SEPARATOR.'skins'.DIRECTORY_SEPARATOR.'ovidentia'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'addons'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'private.html.ori', $path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'private.html.ori');
	
	// Cration ventuelle des pages d'accueil publique et prive  partir des modles .ori si elles ne sont pas prsentes dans le dossier du skin
	if (!file_exists($path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'public.html')) copy($path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'public.html.ori', $path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'public.html');
	if (!file_exists($path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'private.html')) copy($path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'private.html.ori', $path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'ovml'.DIRECTORY_SEPARATOR.'private.html');

	
	// Modification du patron d'affichage page.html pour reflter le nouveau nom de la page des flux RSS et introduire une nouvelle balise <base> dans la section <head>
	$page = $path.'skins'.DIRECTORY_SEPARATOR.'otcter_new'.DIRECTORY_SEPARATOR.'templates'.DIRECTORY_SEPARATOR.'page.html';
	$string = file_get_contents($page);
	if ($string != false)
	{
		$needle = 'fluxrss.rss';
		$pos = stripos($string, $needle);
		if ($pos === false)
		{
			$search = $needle;
			$replace = 'flux.rss';
			$string = str_ireplace($search, $replace, $string);
		}
		
		$needle = '<base href="{ babUrlScript }" />';
		$pos = stripos($string, $needle);
		if ($pos === false)
		{
			$search = '<head>';
			$replace = '<head>'.chr(13).chr(9).$needle;
			$string = str_ireplace($search, $replace, $string);
		}
		file_put_contents($page, $string);
	}
	
	return true;
}

function otcter_new_onDeleteAddon() {
 	bab_removeEventListener('bab_eventPageRefreshed', 'otcter_new_onPageRefreshed', 'addons/otcter_new/init.php');
 	return true;
}

function otcter_new_onPageRefreshed() {
	global $babBody, $babSkin, $babScriptPath;
	if ('otcter_new' === $babSkin) {
		$babBody->addJavascriptFile($babScriptPath.'prototype/prototype.js');
	}
}
